package org.bench4q.agent.scenario.instruction;

import org.bench4q.agent.scenario.Parameter;

public abstract class PluginImplementInstruction implements Instruction {
	private final String pluginName;
	private final String behaviorName;
	private final Parameter[] parameters;

	public PluginImplementInstruction(String pluginName, String behaviorName,
			Parameter[] parameters) {
		this.pluginName = pluginName;
		this.behaviorName = behaviorName;
		this.parameters = parameters;
	}

	public String getPluginName() {
		return pluginName;
	}

	public String getBehaviorName() {
		return behaviorName;
	}

	public Parameter[] getParameters() {
		return parameters;
	}

}
