package org.bench4q.share.models.monitor;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement
public class LimitModel {
	
	private List<ParameterModel> params;

	@XmlElementWrapper(name = "limitParameterList")
	@XmlElement(name = "limitParameter")
	public List<ParameterModel> getParams() {
		return params;
	}

	public void setParams(List<ParameterModel> params) {
		this.params = params;
	}

	
	@XmlRootElement
	@XmlType(name = "limitParameterModel")
	public static class ParameterModel {
		private String name;
		private double limit;

		@XmlElement
		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}

		@XmlElement
		public double getLimit() {
			return limit;
		}

		public void setLimit(double limit) {
			this.limit = limit;
		}

	}
}
